GET /objects/records/default/{object}/{id}
Operation ID: GET_CustomObjectRecordByID
Auth: unknown
Description
Retrieves a record of a given type by ID.
Parameters (6)
(string, header, required)
`Bearer {token}` for a valid OAuth token.
(string, header, optional)
An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.
(string, header, optional)
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
Constraints: {'maxLength': 64}
(string, header, optional)
API version that determines the response schema. The default version is used if this parameter is not included. Specify `Zuora-Version` in the request header if you expect a specific response schema.
(string, path, required)
Id identifier in uuid form
(string, path, required)
Specifies the custom object's API name as object. It is case-sensitive.
No probe data for this endpoint yet.